/**
 * @fileoverview Every href attribute must check its value contains protocol or not
 * @author Kathiresan
 */
'use strict';

// var ERR_MSG_PROTOCOL =
//   'href value must be call security method before use its value';

var rule = require('../../../lib/rules/no-protocol-check'),
  RuleTester = require('eslint').RuleTester;

RuleTester.setDefaultConfig({
  env: {
    browser: true,
    commonjs: true,
    es6: true,
    node: true
  },
  parserOptions: {
    ecmaVersion: 6,
    ecmaFeatures: {
      jsx: true
    },
    sourceType: 'module'
  }
});

var ruleTester = new RuleTester();

ruleTester.run('no-protocol-check', rule, {
  valid: [
    {
      code: '<a href={encodeForUrl(website)}></a>'

      //  '<a href={ website.indexOf("https://") === 0 || website.indexOf("http://") === 0 ? website : `http://${website}` } target="_blank" rel="noopener noreferrer"></a>'
    }
  ],
  invalid: [
    {
      code: '<a href={website}></a>',
      errors: [
        {
          message: 'Please call security method',
          type: 'JSXOpeningElement'
        }
      ]
    }
  ]
});
